html, body {
    height: 100%;
    padding: 0;
    margin: 0;
}

body {
    font-family: Helvetica, Arial, sans-serif;
    display: flex;
    flex-direction: column;
}

.main {
    flex: 1;
    min-height: 700px;
    display: flex;
    gap: 16px;
    flex-direction: column;
    align-items: center;
    position: relative;
}

.logo {
    max-width: 420px;
    margin-top: 30%;
    margin-bottom: 1.5rem;
}

.logo-title{
    font-size: 38px;
    color: rgb(61, 136, 247);
    margin-top: 30%;
    margin-bottom: 1.5rem;
    font-weight: bold;
}

.bank {
    padding-left: 2rem;
    padding-right: 2rem;
    gap: 1.5rem;
    font-size: 14px;
    justify-content: space-between;
    flex-wrap: wrap;
    display: flex;
}

.bank a {
    text-decoration-line: none;
    color: rgb(61, 136, 247);
    line-height: .75rem;
}

.bank a:hover {
    color: #69b1ff;
}

.search {
    margin-top: 1rem;
    font-size: 1.25rem;
    line-height: 1.75rem;
    width: 100%;
    max-width: 622px;
}

.search input {
    padding-top: .75rem;
    padding-bottom: .75rem;
    font-size: 12px;
    padding-left: 1.5rem;
    padding-right: 1.5rem;
    border: 1px solid rgb(228, 228, 231);
    border-radius: 9999px;
    width: 100%;
    box-sizing: border-box;
}

.captcha {
    display: flex;
    align-items: center;
    border-radius: .5rem;
    background: rgb(251, 251, 251);
    overflow: hidden;
}

.captcha .img {
    position: relative;
    font-family: -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, 'Helvetica Neue', Arial, 'Noto Sans', sans-serif, 'Apple Color Emoji', 'Segoe UI Emoji', 'Segoe UI Symbol', 'Noto Color Emoji';
    font-size: 14px;
    box-sizing: border-box;
    transition: opacity 0.3s;
    display: inline;
}

.captcha .img .refresh {
    margin-left: .25rem;
    cursor: pointer;
}

.captcha input {
    padding: .75rem;
    border-radius: .25rem;
    border: none;
    font-size: 16px;
    margin-right: 10px;
}

.captcha .input{
    display: flex;
    flex-direction: column;
}
.captcha .input span {
    color: #ff4d4f;
    font-size: 14px;
    line-height: 1.5;
    padding-left: 10px;
    display: none;
}

.btn {
    border-radius: .5rem;
    background: rgb(255, 255, 255);
}

.btn button {
    outline: none;
    position: relative;
    display: inline-block;
    white-space: nowrap;
    text-align: center;
    border: 1px solid transparent;
    cursor: pointer;
    transition: all 0.2s cubic-bezier(0.645, 0.045, 0.355, 1);
    user-select: none;
    touch-action: manipulation;
    line-height: 1.5714285714285714;
    padding: 4px 15px;
    font-size: 14px;
    color: #fff;
    background: #1677ff;
    box-shadow: 0 2px 0 rgba(5, 145, 255, 0.1);
    height: 42px;
    width: 132px;
    border-radius: 9999px;
    font-weight: 700;
}

.btn button span {
    display: inline-block;
}

.btn button .ant-btn-icon .anticon {
    display: inline-flex;
    align-items: center;
    color: inherit;
    font-style: normal;
    line-height: 0;
    text-align: center;
    text-transform: none;
    vertical-align: -0.125em;
    text-rendering: optimizeLegibility;
    -webkit-font-smoothing: antialiased;
}

.anticon svg {
    display: inline-block;
    line-height: 1;
}

.bg {
    position: absolute;
    bottom: 0;
    z-index: -1;
    width: 100%;
    object-fit: cover;
    object-position: center;
}

.bg img {
    width: 100%;
}

.footer {
    line-height: 45px;
    text-align: center;
    font-size: 12px;
    color: #FFF;
    background: rgb(61, 136, 247);
}


@media not all and (min-width: 768px) {
    .logo {
        width: 70vw;
    }

    .search {
        max-width: 90vw;
    }

    .search input {
        font-size: 16px;
    }

    .captcha {
        gap: .5rem;
        padding: .5rem;
        flex-direction: column;
    }


    .captcha .img .refresh {
        margin-right: -16px;
    }

    .captcha input {
        margin-right: 0;
    }
}
